Skip to Content
homemade
Dashboard

Update project settings

PATCH
/api/projects/{projectId}/settings

Changes the project's slug, default branch, default auto-sleep and other settings. Every field is optional.

Authorization

apiKey
headerAuthorizationBearer <hmk_…>

An API key from the dashboard or homemade api-key create.

Path Parameters

projectId*string

Request Body

application/json
  1. body
bootTimeoutSeconds?|null
defaultBranch?string
Length1 <= length <= 250
defaultSleepAfterMinutes?|null
icon?|null
iconColor?|null
keepServicesRunning?boolean
linearTriggerLabel?|null
prPreviewsEnabled?boolean
rootDirectory?|null
slug?string
Match^[a-z0-9]+(?:-[a-z0-9]+)*$
Length2 <= length <= 50
wakeOnVisit?boolean

Response Body

The updated project.

application/json
  1. response
project*

A project: one repository (or starter) that VMs boot from.

Example Request
curl -X PATCH 'https://api.homemade.dev/api/projects/string/settings' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "project": {    "createdAt": "2019-08-24T14:15:22Z",    "defaultBranch": "string",    "githubRepoFullName": "string",    "id": "string",    "name": "string",    "orgId": "string",    "rootDirectory": "string",    "slug": "string",    "status": "string",    "property1": null,    "property2": null  }}